> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/ru/publichnyi-api-exoclick/api-manual-rate-limiting.md).

# Ограничение частоты запросов

## Общие ограничения на количество запросов

Для API действует ограничение: 150 запросов каждые 60 секунд. Все запросы учитываются в общем лимите. В HTTP-заголовках каждого обработанного API запроса содержится информация об ограничении частоты запросов.

{% hint style="info" %}
**Примечание**: ограничение частоты запросов применяется и к имени пользователя, и к IP-адресу. Поэтому для одного имени пользователя действует лимит в 150 запросов каждые 60 секунд, как и для одного IP-адреса.
{% endhint %}

## Ограничения на запросы для входа в систему

Для запросов на вход в систему действует ограничение: **10 запросов каждые 60 секунд**. Все запросы учитываются в общем лимите.

{% hint style="info" %}
**Примечание**: IP-адрес и имя пользователя, связанные с каждым запросом статистики, учитываются в этих лимитах.
{% endhint %}

## Ограничения на запросы статистики

Для запросов статистики действует ограничение: 30 запросов в минуту для каждого IP-адреса и 25 запросов в минуту для каждого имени пользователя.

{% hint style="info" %}
**Примечание**: IP-адрес и имя пользователя, связанные с каждым запросом статистики, учитываются в этих лимитах.
{% endhint %}

Например, если вы войдёте в систему под своим именем пользователя на одном компьютере и отправите 25 запросов статистики, следующий запрос завершится ошибкой. Однако вы можете войти под другим именем пользователя и отправить ещё 5 запросов статистики, прежде чем будет достигнут лимит для IP-адреса.

## Примеры

### Ограничение частоты запросов — пример 1

```bash
$ curl -i https://api.exoclick.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "200 OK",
  "Date": "Fri, 24 Oct 2014 14:57:32 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 44,
  "X-Rate-Limit-Reset": 27
}
```

При превышении лимита частоты запросов *429 Too Many Requests* при последующих запросах будет выдаваться ошибка HTTP до сброса лимита. Как и в случае обычного запроса, информация об ограничении частоты запросов будет доступна в HTTP-заголовках.

### Ограничение частоты запросов — пример 2 (лимит превышен)

```bash
$ curl -i https://api.exoclick.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "429 Too Many Requests",
  "Date": "Fri, 24 Oct 2014 15:04:35 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 0,
  "X-Rate-Limit-Reset": 12
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/api/ru/publichnyi-api-exoclick/api-manual-rate-limiting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
